Skip to main content
GET
Get single subscription

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

subscriptionId
string
required

ID of the subscription you want to get.

channel
enum<string>
required

Channel name. A separate subscription is needed for each channel.

Available options:
AGENT_OS,
APPLE_MESSAGES_FOR_BUSINESS,
BLOCKLIST,
CUSTOMER_ENGAGEMENT,
EMAIL,
FACEBOOK,
KAKAO_ALIM,
KAKAO_BRAND_MESSAGE,
LINE,
MMS,
MOBILE_IDENTITY,
MOBILE_PUSH,
NUMBER_LOOKUP,
OPEN_CHANNEL,
RCS,
REGISTRATION,
SMS,
VIBER,
VOICE_VIDEO,
WEB_PUSH,
WHATSAPP,
ZALO

Response

Success.

Subscription group.

subscriptionId
string

Subscription ID.

name
string

Subscription group name.

subscriptionGroupId
string

Subscription group identifier.

profile
Profile · object

Notification profile.

events
(string | Event with format · object)[]

List of events to subscribe.

List of events available for a subscription. Note that a set of events available for each channel is different; subscription to events that are unavailable for a certain channel will be ignored. For more details, see the availability table. If configuring inbound Subscription, check inbound message configuration docs.

criteria
ApplicationEntityPair · object[]

List of applicationId/entityId pairs.

resources
string[]

List of resources.

List of resources.

users
string[]

List of users.

List of users.

keywords
string[]

List of keywords.

List of keywords.